NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Facet.FillHoleBuilder Class Reference

This class finds and fills holes to a prescribed boundary smoothness condition. More...

Inheritance diagram for NXOpen.Facet.FillHoleBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  SmoothTypes { Linear, Refined, TangentBased, CurvatureBased }
 Smoothness and boundary continuity options. More...
 
enum  TargetTypes { UserDefined, ByNumberOfEdges }
 Options defining how to target holes for filling. More...
 
enum  Types { FillHole, FillIsland, BridgeGap }
 Hole filling type options. More...
 

Public Member Functions

unsafe void ClearHoleFills ()
 Cleans up local meshes associated with each fill. More...
 
unsafe void ClearHoles ()
 Removes all holes, deletes associated hole polylines. More...
 
unsafe NXOpen.DisplayableObject FillHoles (bool globalUpdate)
 Fills targeted holes. More...
 
unsafe void FindHoles ()
 Locates holes in the mesh and creates polylines around them. More...
 
unsafe void GetAllHoles (out NXOpen.DisplayableObject[] holeCurveTags)
 Gets a list of all holes (represented by polylines). More...
 
unsafe NXOpen.ICurve GetHoleByIndex (int index)
 Gets a hole given an index into the list of holes. More...
 
unsafe NXOpen.DisplayableObject GetHoleFillsOnly ()
 Builds a facet body that contains only the facets of the filled holes. More...
 
unsafe int GetNumberOfHoles ()
 Gets the number of holes in the target facet body. More...
 
unsafe void GetTargetHolesByEdgeNumber (int numMaxEdges, out NXOpen.DisplayableObject[] holeCurveTags)
 Gets a list of targeted holes (represented by polylines) based on number of edges. More...
 
unsafe void SwitchHoleFillType ()
 Switches boundary edge mapping based on the filling type (holes, island, bridge) When filling holes or islands, each hole is defined by a polyline. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectICurveList BridgeEdges1 [get]
 Returns the first list of edges when bridging holes. More...
 
unsafe NXOpen.SelectICurveList BridgeEdges2 [get]
 Returns the second list of edges when bridging holes. More...
 
unsafe NXOpen.SelectICurveList InnerHole [get]
 Returns the Inner Hole in island filling. More...
 
unsafe bool IsEditCopy [get, set]
 Returns or sets the flag indicating if the hole filling is on the copy of the input facet body. More...
 
unsafe int MaxEdges [get, set]
 Returns or sets the maximum number of edges that a targeted hole can have. More...
 
unsafe NXOpen.SelectICurveList OuterHole [get]
 Returns the Outer Hole in island filling. More...
 
unsafe
NXOpen.Facet.FillHoleBuilder.SmoothTypes 
SmoothType [get, set]
 Returns or sets the boundary smoothness. More...
 
unsafe
NXOpen.SelectDisplayableObject 
TargetBody [get]
 Returns the facet body we will be filling. More...
 
unsafe
NXOpen.Facet.SelectFacetedBody 
TargetFacetBody [get]
 Returns the facet body we will be filling. More...
 
unsafe NXOpen.SelectICurveList TargetHole [get]
 Returns the hole curves using Fill Hole, User Defined. More...
 
unsafe
NXOpen.Facet.FillHoleBuilder.TargetTypes 
TargetType [get, set]
 Returns or sets the hole target type when filling holes. More...
 
unsafe
NXOpen.Facet.FillHoleBuilder.Types 
Type [get, set]
 Returns or sets the hole filling type. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class finds and fills holes to a prescribed boundary smoothness condition.

Inputs to this class can be convergent objects.

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateFillHoleBuilder

Default values.

Property Value

IsEditCopy

0

MaxEdges

0

SmoothType

Linear

TargetType

UserDefined

Created in NX6.0.0

Member Enumeration Documentation

Smoothness and boundary continuity options.

Enumerator
Linear 

Linear (triangulated) fill.

Refined 

Smooth internal fill.

TangentBased 

Smooth fill, boundary is based on facet body tangent.

CurvatureBased 

Smooth fill, boundary is based on facet body curvature.

Options defining how to target holes for filling.

Enumerator
UserDefined 

Fills user-defined target holes.

ByNumberOfEdges 

Automatically target holes based on number of edges.

Hole filling type options.

Enumerator
FillHole 

Fills individual hole(s).

FillIsland 

Fills a hole defined by inner island and outer facet body.

BridgeGap 

Bridges some open boundary edges with a linear fill.

Member Function Documentation

unsafe void NXOpen.Facet.FillHoleBuilder.ClearHoleFills ( )
inline

Cleans up local meshes associated with each fill.

Created in NX6.0.0

License requirements: None.

unsafe void NXOpen.Facet.FillHoleBuilder.ClearHoles ( )
inline

Removes all holes, deletes associated hole polylines.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.DisplayableObject NXOpen.Facet.FillHoleBuilder.FillHoles ( bool  globalUpdate)
inline

Fills targeted holes.

Created in NX6.0.0

License requirements: None.

Parameters
globalUpdateIf true, update the entire input facet body. If false, GetHoleFillsOnly() may be used to get a facet body that contains only the new facets of the filled holes.
Returns
updated input facet body
unsafe void NXOpen.Facet.FillHoleBuilder.FindHoles ( )
inline

Locates holes in the mesh and creates polylines around them.

Created in NX6.0.0

License requirements: None.

unsafe void NXOpen.Facet.FillHoleBuilder.GetAllHoles ( out NXOpen.DisplayableObject[]  holeCurveTags)
inline

Gets a list of all holes (represented by polylines).

Created in NX6.0.0

License requirements: None.

Parameters
holeCurveTagsHole polylines.
unsafe NXOpen.ICurve NXOpen.Facet.FillHoleBuilder.GetHoleByIndex ( int  index)
inline

Gets a hole given an index into the list of holes.

Created in NX6.0.0

License requirements: None.

Parameters
indexIndex into the list of all holes
Returns
Equals a null reference (Nothing in Visual Basic) if not found
unsafe NXOpen.DisplayableObject NXOpen.Facet.FillHoleBuilder.GetHoleFillsOnly ( )
inline

Builds a facet body that contains only the facets of the filled holes.

Created in NX6.0.0

License requirements: None.

Returns
the fill facet body
unsafe int NXOpen.Facet.FillHoleBuilder.GetNumberOfHoles ( )
inline

Gets the number of holes in the target facet body.

Created in NX6.0.0

License requirements: None.

Returns
unsafe void NXOpen.Facet.FillHoleBuilder.GetTargetHolesByEdgeNumber ( int  numMaxEdges,
out NXOpen.DisplayableObject[]  holeCurveTags 
)
inline

Gets a list of targeted holes (represented by polylines) based on number of edges.

Created in NX6.0.0

License requirements: None.

Parameters
numMaxEdgesTargets polylines that have this many edges or less.
holeCurveTagsHole polylines.
unsafe void NXOpen.Facet.FillHoleBuilder.SwitchHoleFillType ( )
inline

Switches boundary edge mapping based on the filling type (holes, island, bridge) When filling holes or islands, each hole is defined by a polyline.

When bridging holes, each individual open edge has its own polyline.

Created in NX6.0.0

License requirements: None.

Property Documentation

unsafe NXOpen.SelectICurveList NXOpen.Facet.FillHoleBuilder.BridgeEdges1
get

Returns the first list of edges when bridging holes.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectICurveList NXOpen.Facet.FillHoleBuilder.BridgeEdges2
get

Returns the second list of edges when bridging holes.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectICurveList NXOpen.Facet.FillHoleBuilder.InnerHole
get

Returns the Inner Hole in island filling.

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Facet.FillHoleBuilder.IsEditCopy
getset

Returns or sets the flag indicating if the hole filling is on the copy of the input facet body.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Facet.FillHoleBuilder.MaxEdges
getset

Returns or sets the maximum number of edges that a targeted hole can have.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectICurveList NXOpen.Facet.FillHoleBuilder.OuterHole
get

Returns the Outer Hole in island filling.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Facet.FillHoleBuilder.SmoothTypes NXOpen.Facet.FillHoleBuilder.SmoothType
getset

Returns or sets the boundary smoothness.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectDisplayableObject NXOpen.Facet.FillHoleBuilder.TargetBody
get

Returns the facet body we will be filling.

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Facet.FillHoleBuilder.TargetFacetBody
get

Returns the facet body we will be filling.

Created in NX6.0.0

Deprecated in NX11.0.0. Use NXOpen.Facet.FillHoleBuilder.TargetBody instead.

License requirements: None.

unsafe NXOpen.SelectICurveList NXOpen.Facet.FillHoleBuilder.TargetHole
get

Returns the hole curves using Fill Hole, User Defined.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Facet.FillHoleBuilder.TargetTypes NXOpen.Facet.FillHoleBuilder.TargetType
getset

Returns or sets the hole target type when filling holes.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.FillHoleBuilder.Types NXOpen.Facet.FillHoleBuilder.Type
getset

Returns or sets the hole filling type.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.